Partner

Add Partner Domain

POST
/v2/partners/{partner_id}/domains

Adds a domain for a partner

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Path Parameters

partner_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v2/partners/497f6eca-6276-4993-bfeb-53cbbbba6f08/domains" \  -H "Content-Type: application/json" \  -d '{    "domain": "example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06",  "domain": "string",  "created_at": "2019-08-24T14:15:22Z"}